Bug 214193 - multimedia/dvbcut: fails to build with ffmpeg 3.x
Summary: multimedia/dvbcut: fails to build with ffmpeg 3.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Stefan Eßer
URL:
Keywords: needs-patch
Depends on:
Blocks: 207547
  Show dependency treegraph
 
Reported: 2016-11-04 05:16 UTC by Jan Beich
Modified: 2016-11-14 13:06 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (se)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-04 05:16:03 UTC
In file included from avframe.cpp:26:
./avframe.h:42:8: error: ISO C++ forbids forward references to 'enum' types
  enum PixelFormat pix_fmt;
       ^
avframe.cpp:34:5: error: use of undeclared identifier 'avcodec_alloc_frame'
  f=avcodec_alloc_frame();
    ^
avframe.cpp:96:58: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean 'AV_PIX_FMT_RGB24'?
  uint8_t *rgbbuffer=(uint8_t*)malloc(avpicture_get_size(PIX_FMT_RGB24, w, h)+64);
                                                         ^~~~~~~~~~~~~
                                                         AV_PIX_FMT_RGB24
/usr/local/include/libavutil/pixfmt.h:64:5: note: 'AV_PIX_FMT_RGB24' declared here
    AV_PIX_FMT_RGB24,     ///< packed RGB 8:8:8, 24bpp, RGBRGB...
    ^

http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/dvbcut-0.6.2.a1_4.log
Comment 1 Stefan Eßer freebsd_committer 2016-11-11 08:52:19 UTC
There exists a fork of dvbcut that should build with qt5 and ffmpeg3 instead of qt4 and ffmpeg2, see: https://github.com/bernhardu/dvbcut-deb

I have no idea, whether that fork has grown incompatible with FreeBSD, but I'd like to give it a try, but I'll be working abroad over the next few weeks and without access to my FreeBSD development box, so it will take some time ...
Comment 2 Stefan Eßer freebsd_committer 2016-11-14 07:44:33 UTC
I'm about to commit an update to the dvbcut port that is based on a fork of the previous sources and whose author claims that it supports ffmpeg-3.x.
Comment 3 commit-hook freebsd_committer 2016-11-14 07:52:21 UTC
A commit references this bug:

Author: se
Date: Mon Nov 14 07:51:33 UTC 2016
New revision: 426091
URL: https://svnweb.freebsd.org/changeset/ports/426091

Log:
  Update to version 0.7.0, which appears to be another fork of the no longer
  maintained version 0.5.4 (or the already forked 0.6.2).
  This version adds support for qt5 (port option, default remains at qt4) and
  is claimed to be compatible with ffmpeg-3.x (not verified, yet).

  PR:		214193
  Reported by:	jbeich (ffmpeg-3 exp-run)

Changes:
  head/multimedia/dvbcut/Makefile
  head/multimedia/dvbcut/distinfo
  head/multimedia/dvbcut/files/patch-avframe.cpp
  head/multimedia/dvbcut/files/patch-defines.h
  head/multimedia/dvbcut/files/patch-dvbcut.cpp
  head/multimedia/dvbcut/files/patch-dvbcut.h
  head/multimedia/dvbcut/files/patch-index.h
  head/multimedia/dvbcut/files/patch-lavfmuxer.cpp
  head/multimedia/dvbcut/files/patch-main.cpp
  head/multimedia/dvbcut/files/patch-src.pro
  head/multimedia/dvbcut/pkg-plist
Comment 4 Jan Beich freebsd_committer 2016-11-14 13:06:47 UTC
I confirm, it builds fine with ffmpeg 3.2 now.